function PublicationbiasGMM(X,sigma,symmetric,cluster_ID,cutoffs,Studynames)
%Arguments:
    %X: studies estimates
    %sigma: studies standard devations
    %symmetric: dummy, whether p is symmetric around 0
    %cluster_ID: studies for clustered standard errors
    %cutoffs: a COLUMN vector of cutoff to use in step function, 
              %should be given in an increasing order
    %Studynames: the names of the studies the estimates and standard errors 
                 %are drawn from.
                 %Note that it is possible to just plug in numbers. 
                 %However, the it must be a character array. For defult 
                 %you may use Studynames=char.empty(0,length(X)); 
                 %It will create an empty vector of size n with blank 
                 %characters
                 
                 
    %Starting values for optimization
    Psihat0 = ones(1,length(cutoffs)); %betap
    Psihat0_theta = [0,1]; %[theta, sd(theta)]
    
    %Primitives

    n=length(X);
    C=ones(length(X),1);
    name = 'GMMresults';
    
    includeinfigure=logical(ones(n,1));
    includeinestimation=logical(ones(n,1));
    
    %If you want to have the figures that specify where the estimates fall with
    %respect to significance in a 5% level
    dofigures=1;
    %If you want to get the step function p values at the points of
    %discontiunuity
    doestimates=1;
    %If you want to get robust confidence sets
    dorobust=1;
    %If you want the corrections and figures that accompany the corrections
    docorrections=1;

    %producing figures
    if dofigures == 1
        DescriptiveStats(X,sigma,name,symmetric,cluster_ID)
    end

    %%
    %estimating the model

    if doestimates == 1
        EstimatingSelection
    end


    %%
    %producing bias-corrected estimates and confidence sets

    if docorrections == 1
        HorizontalBars
    end
end 