function SelectionTableGMM(Psihat,se_robust,name,S,Psigrid,dof,dorobust)

FID = fopen(['/Users/britsharoni/Documents/Harvard/RAing/Isaiah Andrews/Publication Bias/Codes/GMM Estimation Matlab/FiguresandTables/' name 'SelectionModel.tex'], 'w');

    len=length(Psihat);
    fprintf(FID, ['\\begin{tabular}{' repmat('c', 1, len) '}\n']);

if len==1
    fprintf(FID, '$\\beta_p$ \\\\ \n \\hline \n');
else
    fprintf(FID, '$\\beta_{p,1}$ ');
    for j=2:len
        fprintf(FID, '& $\\beta_{p,%i}$ ', j);
    end
    fprintf(FID, '\\\\ \n \\hline \n');
end

fprintf(FID, '%.3f ', Psihat(1));
for j=2:length(Psihat)
    fprintf(FID, '& %.3f ', Psihat(j));
end
fprintf(FID, '\\\\  \n');

fprintf(FID, '(%.3f) ', se_robust(1));
for j=2:length(Psihat)
    fprintf(FID, '& (%.3f) ', se_robust(j));
end
fprintf(FID, '\\\\  \n');
fprintf(FID, '\\end{tabular}\n');
fclose(FID);

if dorobust==1
    if len==1
        CS_LB=min(Psigrid(S<chi2inv(.95,dof)));
        CS_UB=max(Psigrid(S<chi2inv(.95,dof)));
    
        FID = fopen(['/Users/britsharoni/Documents/Harvard/RAing/Isaiah Andrews/Publication Bias/Codes/GMM Estimation Matlab/FiguresandTables/' name 'SelectionModelCS.tex'], 'w');

        fprintf(FID, ['\\begin{tabular}{' repmat('c', 1, 2) '}\n']);
        fprintf(FID, '$\\beta_p$ Lower Bound ');
        fprintf(FID, '& $\\beta_p$ Upper Bound ');
        fprintf(FID, '\\\\ \n \\hline \n');
    
        if CS_LB==min(Psigrid)
            fprintf(FID, '%.3f ', 0);
        else
            fprintf(FID, '%.3f ', CS_LB);
        end
    
        if CS_UB==max(Psigrid)
            fprintf(FID, '& $\\infty$ ');
        else
            fprintf(FID, '& %.3f ', CS_UB);
        end
        fprintf(FID, '\\\\  \n');
        fprintf(FID, '\\end{tabular}\n');
        fclose(FID);
    
    elseif len==2
    
        fig=figure('Visible','on',...
            'PaperPosition',[0 0 4 4],...
            'PaperSize',[4 4]);
    
        colormap([1 1 1;.7 .7 .7])
        S_CS=S<=chi2inv(.95,dof);
        contourf(Psigrid(:,1),Psigrid(:,2),S_CS',1,'w','Linewidth',.01)
        xlabel('\beta_1')
        ylabel('\beta_2')
    
        axis square
        print(fig,'-dpdf', ['/Users/britsharoni/Documents/Harvard/RAing/Isaiah Andrews/Publication Bias/Codes/GMM Estimation Matlab/FiguresandTables/' name 'CS.pdf'])

    end
end
end 